org.gcube.dataanalysis.dataminer.poolmanager.util

## Class ClusterBuilder

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.ClusterBuilder

    public class ClusterBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClusterBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Cluster` `getProdDataminerCluster()`
`static Cluster` `getRProtoCluster()`
`static Cluster` `getStagingDataminerCluster()`
`static Cluster` `getVRECluster(String targetVREToken, String targetVRE)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterBuilder

    public ClusterBuilder()

### Method Detail

#### getStagingDataminerCluster

    public static Cluster getStagingDataminerCluster()
                                              throws FileNotFoundException

Throws:
  `FileNotFoundException`

#### getProdDataminerCluster

    public static Cluster getProdDataminerCluster()
                                           throws FileNotFoundException

Throws:
  `FileNotFoundException`

#### getVRECluster

    public static Cluster getVRECluster(String targetVREToken,
                                        String targetVRE)
                                 throws IOException

Throws:
  `IOException`

#### getRProtoCluster

    public static Cluster getRProtoCluster()
                                    throws IOException

Throws:
  `IOException`